org.apache.tinkerpop.gremlin.structure.io.gryo

## Class ToyTriangle.ToyTriangleSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.ToyTriangle.ToyTriangleSerializer

- All Implemented Interfaces:
    SerializerShim<ToyTriangle>
  Enclosing class:
    ToyTriangle

      public static class ToyTriangle.ToyTriangleSerializer
      extends Object
      implements SerializerShim<ToyTriangle>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToyTriangleSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> ToyTriangle` | `read(KryoShim<I,?> kryo, I input, Class<ToyTriangle> toyTriangleClass)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, ToyTriangle toyTriangle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### ToyTriangleSerializer

          public ToyTriangleSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   ToyTriangle toyTriangle)

      Specified by:
        `write` in interface `SerializerShim<ToyTriangle>`

    - #### read

          public <I extends InputShim> ToyTriangle read(KryoShim<I,?> kryo,
                                                        I input,
                                                        Class<ToyTriangle> toyTriangleClass)

      Specified by:
        `read` in interface `SerializerShim<ToyTriangle>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.